# Record TCefDisplayHandler

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefDisplayHandler = record`

## Description

Implement this structure to handle events related to browser display state. The functions of this structure will be called on the UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefDisplayHandler.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_display_handler_capi.h">CEF source file: /include/capi/cef_display_handler_capi.h (cef_display_handler_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_address_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; frame: PCefFrame; const url: PCefString); stdcall;`
| `on_title_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const title: PCefString); stdcall;`
| `on_favicon_urlchange: procedure(self: PCefDisplayHandler; browser: PCefBrowser; icon_urls: TCefStringList); stdcall;`
| `on_fullscreen_mode_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; fullscreen: Integer); stdcall;`
| `on_tooltip: function(self: PCefDisplayHandler; browser: PCefBrowser; text: PCefString): Integer; stdcall;`
| `on_status_message: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const value: PCefString); stdcall;`
| `on_console_message: function(self: PCefDisplayHandler; browser: PCefBrowser; level: TCefLogSeverity; const message_, source: PCefString; line: Integer): Integer; stdcall;`
| `on_auto_resize: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_size: PCefSize): Integer; stdcall;`
| `on_loading_progress_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; progress: double); stdcall;`
| `on_cursor_change: function(self: PCefDisplayHandler; browser: PCefBrowser; cursor: TCefCursorHandle; type_: TCefCursorType; const custom_cursor_info: PCefCursorInfo): Integer; stdcall;`
| `on_media_access_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; has_video_access, has_audio_access: integer); stdcall;`
| `on_contents_bounds_change: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_bounds: PCefRect): integer; stdcall;`
| `get_root_window_screen_rect: function(self: PCefDisplayHandler; browser: PCefBrowser; rect: PCefRect): integer; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_address_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; frame: PCefFrame; const url: PCefString); stdcall;`
This item has no description.

| `on_title_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const title: PCefString); stdcall;`
This item has no description.

| `on_favicon_urlchange: procedure(self: PCefDisplayHandler; browser: PCefBrowser; icon_urls: TCefStringList); stdcall;`
This item has no description.

| `on_fullscreen_mode_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; fullscreen: Integer); stdcall;`
This item has no description.

| `on_tooltip: function(self: PCefDisplayHandler; browser: PCefBrowser; text: PCefString): Integer; stdcall;`
This item has no description.

| `on_status_message: procedure(self: PCefDisplayHandler; browser: PCefBrowser; const value: PCefString); stdcall;`
This item has no description.

| `on_console_message: function(self: PCefDisplayHandler; browser: PCefBrowser; level: TCefLogSeverity; const message_, source: PCefString; line: Integer): Integer; stdcall;`
This item has no description.

| `on_auto_resize: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_size: PCefSize): Integer; stdcall;`
This item has no description.

| `on_loading_progress_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; progress: double); stdcall;`
This item has no description.

| `on_cursor_change: function(self: PCefDisplayHandler; browser: PCefBrowser; cursor: TCefCursorHandle; type_: TCefCursorType; const custom_cursor_info: PCefCursorInfo): Integer; stdcall;`
This item has no description.

| `on_media_access_change: procedure(self: PCefDisplayHandler; browser: PCefBrowser; has_video_access, has_audio_access: integer); stdcall;`
This item has no description.

| `on_contents_bounds_change: function(self: PCefDisplayHandler; browser: PCefBrowser; const new_bounds: PCefRect): integer; stdcall;`
This item has no description.

| `get_root_window_screen_rect: function(self: PCefDisplayHandler; browser: PCefBrowser; rect: PCefRect): integer; stdcall;`
* CEF_API_ADDED(13700) *

Generated by PasDoc 0.16.0-snapshot.